/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package studentdemo;


import java.util.*;

public class Date {

    private int day;
    private int month;
    private int year;

    public Date() {
        day = 1;
        month = 1;
        year = 1395;
    }

    
    public Date(int day, int month) {
        this.day = day;
        this.month = month;
        year = 1395;
    }

    public Date(Date d) {
        this(d.day, d.month, d.year);
        //System.out.println("Date");
    }

    public String toString() {
        return "Date:" + day + " " + monthString() + " " + year;
    }

    public Date(int day, int month, int year) {
        if ((day > 0) && (day < 32)) {
            this.day = day;
        }
        if ((month > 0) && (month < 13)) {
            this.month = month;
        }
        if (year > 0) {
            this.year = year;
        }
    }

    public boolean equals(Date d) {
        return (day == d.day) && (year == d.year) && (month == d.month);
    }

    public int getDay() {
        return day;
    }

    public void setMonth(int m) {
        if ((m > 0) && (m < 13)) {
            month = m;
        }
    }

    private String monthString() {
        switch (month) {
            case 1:
                return "farvardin";
            case 6:
                return "Shahrivar";
            case 7:
                return "Mehr";
            case 11:
                return "Bahman";
            case 12:
                return "Esfand";
            default:
                return "Unknown";
        }
    }

}

